Add ex cp-misc_codfw to text and upload
Closed, ResolvedPublic

Description

The following ex-cache_misc hosts in codfw should be added to cache_text:

cp2006
cp2012

and these to cache_upload:

cp2018
cp2025

ema created this task.Nov 2 2018, 1:50 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 2 2018, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Nov 2 2018, 1:50 PM
ema moved this task from Triage to Caching on the Traffic board.

Change 472130 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: convert cp2006 and cp2012 to cache::text

https://gerrit.wikimedia.org/r/472130

Change 472149 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: turn on IPsec for cp2006 and cp2012

https://gerrit.wikimedia.org/r/472149

Change 472150 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: add cp2018 and cp2025 to cache::upload

https://gerrit.wikimedia.org/r/472150

Change 472151 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: turn on IPsec for cp2018 and cp2025

https://gerrit.wikimedia.org/r/472151

Change 472130 merged by Ema:
[operations/puppet@production] cache: add cp2006 and cp2012 to cache::text

https://gerrit.wikimedia.org/r/472130

Script wmf-auto-reimage was launched by ema on sarin.codfw.wmnet for hosts:

['cp2006.codfw.wmnet', 'cp2012.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201811080758_ema_14748.log.

Completed auto-reimage of hosts:

['cp2006.codfw.wmnet', 'cp2012.codfw.wmnet']

Of which those FAILED:

['cp2006.codfw.wmnet', 'cp2012.codfw.wmnet']

Change 472384 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cacheproxy: only call cron_splay() for hosts in $all_nodes

https://gerrit.wikimedia.org/r/472384

Change 472149 merged by Ema:
[operations/puppet@production] cache: turn on IPsec for cp2006 and cp2012

https://gerrit.wikimedia.org/r/472149

ema added a comment.Nov 8 2018, 5:05 PM

cp2006/cp2012 reimaged and added to cache_text. The nodes are currently depooled but ready to be put back into service.

Mentioned in SAL (#wikimedia-operations) [2018-11-09T08:05:47Z] <ema> repool cp2006, cp2012 (cache_text) T208588

Change 472150 merged by Ema:
[operations/puppet@production] cache: add cp2018 and cp2025 to cache::upload

https://gerrit.wikimedia.org/r/472150

Script wmf-auto-reimage was launched by ema on sarin.codfw.wmnet for hosts:

['cp2018.codfw.wmnet', 'cp2025.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201811090858_ema_27226.log.

Completed auto-reimage of hosts:

['cp2018.codfw.wmnet', 'cp2025.codfw.wmnet']

Of which those FAILED:

['cp2018.codfw.wmnet', 'cp2025.codfw.wmnet']

Change 472151 merged by Ema:
[operations/puppet@production] cache: turn on IPsec for cp2018 and cp2025

https://gerrit.wikimedia.org/r/472151

Mentioned in SAL (#wikimedia-operations) [2018-11-09T09:48:05Z] <ema> repool cp2018, cp2025 (cache_upload) T208588

ema closed this task as Resolved.Nov 9 2018, 9:51 AM

Change 472384 abandoned by Ema:
cacheproxy: only call cron_splay() for hosts in $all_nodes

https://gerrit.wikimedia.org/r/472384